testing::Test Class Referenceabstract

`#include <gtest.h>`

Inheritance diagram for testing::Test:

## Public Member Functions

virtual | ~Test ()

## Static Public Member Functions

static void | SetUpTestSuite ()
static void | TearDownTestSuite ()
static void | TearDownTestCase ()
static void | SetUpTestCase ()
static bool | HasFatalFailure ()
static bool | HasNonfatalFailure ()
static bool | IsSkipped ()
static bool | HasFailure ()
static void | RecordProperty (const std::string &key, const std::string &value)
static void | RecordProperty (const std::string &key, int value)

## Protected Member Functions

| Test ()
virtual void | SetUp ()
virtual void | TearDown ()

## Friends

class | TestInfo

## Detailed Description

Definition at line 15014 of file gtest.h.

## Constructor & Destructor Documentation

## ~Test()

virtual testing::Test::~Test | ( |  | ) |

virtual

## Test()

testing::Test::Test | ( |  | ) |

protected

## Member Function Documentation

## HasFailure()

static bool testing::Test::HasFailure | ( |  | ) |

inlinestatic

Definition at line 15054 of file gtest.h.

## HasFatalFailure()

static bool testing::Test::HasFatalFailure | ( |  | ) |

static

## HasNonfatalFailure()

static bool testing::Test::HasNonfatalFailure | ( |  | ) |

static

## IsSkipped()

static bool testing::Test::IsSkipped | ( |  | ) |

static

## RecordProperty() [1/2]

static void testing::Test::RecordProperty | ( | const std::string & | key,
|  | const std::string & | value
| ) |  |

static

## RecordProperty() [2/2]

static void testing::Test::RecordProperty | ( | const std::string & | key,
|  | int | value
| ) |  |

static

## SetUp()

virtual void testing::Test::SetUp | ( |  | ) |

protectedvirtual

## SetUpTestCase()

static void testing::Test::SetUpTestCase | ( |  | ) |

inlinestatic

Definition at line 15040 of file gtest.h.

## SetUpTestSuite()

static void testing::Test::SetUpTestSuite | ( |  | ) |

inlinestatic

Definition at line 15027 of file gtest.h.

## TearDown()

virtual void testing::Test::TearDown | ( |  | ) |

protectedvirtual

## TearDownTestCase()

static void testing::Test::TearDownTestCase | ( |  | ) |

inlinestatic

Definition at line 15039 of file gtest.h.

## TearDownTestSuite()

static void testing::Test::TearDownTestSuite | ( |  | ) |

inlinestatic

Definition at line 15035 of file gtest.h.

## Friends And Related Function Documentation

## TestInfo

friend class TestInfo

friend

Definition at line 15016 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h